
/************************************************
Java Script Interpreter
Author: DEM0STEN
Contacts and bug reports -> http://demosten.com OR stjordanov@hotmail.com

external interface definitions

************************************************/

#ifndef _JSI_INTR_H_
#define _JSI_INTR_H_

#ifdef _16bit_CC_
#define JSI_CALLBACK	far pascal
#else
#define JSI_CALLBACK	CALLBACK
#endif

#include "JSI_vars.h"
typedef int (JSI_CALLBACK *pJSI_Func)(int, PVar);
typedef int (JSI_CALLBACK *pJSI_VarGet)(void);
typedef int (JSI_CALLBACK *pJSI_VarSet)(TVarType, char*, double);

BOOL JSI_EXPORT JSI_AddExtrFunction(char *szName, pJSI_Func pFunction);
BOOL JSI_EXPORT JSI_AddExtrVar(char *szName, pJSI_VarGet pGetFunction, pJSI_VarSet pSetFunction);
TVarType JSI_EXPORT JSI_GetParam(int iVarNum, char **szValue, double *dValue, PVar pVars);
void JSI_EXPORT JSI_SetResult(char *szValue, double dValue, TVarType Type);

#endif
